Get Leaderboard
curl --request GET \
--url https://api.ekiden.fi/api/v1/user/leaderboardimport requests
url = "https://api.ekiden.fi/api/v1/user/leaderboard"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ekiden.fi/api/v1/user/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ekiden.fi/api/v1/user/leaderboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ekiden.fi/api/v1/user/leaderboard"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ekiden.fi/api/v1/user/leaderboard")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ekiden.fi/api/v1/user/leaderboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"account_value": "<string>",
"other_xp": 123,
"place": "<string>",
"pnl": "<string>",
"ranked": true,
"referral_xp": 123,
"roi": "<string>",
"sub_account_address": "<string>",
"total_xp": 123,
"trading_xp": 123,
"volume": "<string>"
}
],
"meta": {
"limit": 1,
"offset": 1,
"total": 1
}
}Leaderboard
Get Leaderboard
Paginated subaccount leaderboard ranked by PnL. Realized + unrealized (mark-to-market). Timeframe required: today, 7d, 30d, all. Default limit 10, max 100.
GET
/
api
/
v1
/
user
/
leaderboard
Get Leaderboard
curl --request GET \
--url https://api.ekiden.fi/api/v1/user/leaderboardimport requests
url = "https://api.ekiden.fi/api/v1/user/leaderboard"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ekiden.fi/api/v1/user/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ekiden.fi/api/v1/user/leaderboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ekiden.fi/api/v1/user/leaderboard"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ekiden.fi/api/v1/user/leaderboard")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ekiden.fi/api/v1/user/leaderboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"account_value": "<string>",
"other_xp": 123,
"place": "<string>",
"pnl": "<string>",
"ranked": true,
"referral_xp": 123,
"roi": "<string>",
"sub_account_address": "<string>",
"total_xp": 123,
"trading_xp": 123,
"volume": "<string>"
}
],
"meta": {
"limit": 1,
"offset": 1,
"total": 1
}
}Query Parameters
Pagination offset (default 0).
Required range:
x >= 0Max number of entries to return (default 10, max 100).
Required range:
x >= 0Ranking window. Leaderboard ranking window: today, last 7 days, last 30 days, or all time.
Available options:
today, 7d, 30d, all